<div class="tab active" data-tab="general">
    <div id="dice-configuration-canvas" style="width: 500px; height: 245px"></div>
    <form autocomplete="off" class="dice-so-nice">

        <div class="form-group">
            <label>{{localize "DICESONICE.enable"}}</label>
            <input type="checkbox" name="enabled" data-dtype="Boolean" {{checked enabled}}/>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.system"}}</label>
            <select name="system" style="flex: 1;">
                {{#select system}}
                {{#each systemList as |name key|}}
                <option value="{{key}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.colorset"}}</label>
            <select name="colorset" style="flex: 1;">
                {{#select colorset}}
                {{#each colorsetList as |group key|}}
                <optgroup label="{{key}}">
                    {{#each group as |name id|}}
                    <option value="{{id}}">{{name}}</option>
                    {{/each}}
                </optgroup>
                {{/each}}
                {{/select}}
            </select>
            <p class="notes">{{localize "DICESONICE.colorsetDesc"}}</p>
        </div>
        
        <div class="form-group">
            <label>{{localize "DICESONICE.labelColor"}}</label>
            <div class="form-fields">
                <input type="text"  name="labelColor" value="{{labelColor}}" data-dtype="String"/>
                <input type="color" name="labelColorSelector" value="{{labelColor}}" data-edit="labelColor"/>
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.diceColor"}}</label>
            <div class="form-fields">
                <input type="text" name="diceColor" value="{{diceColor}}" data-dtype="String"/>
                <input type="color" name="diceColorSelector" value="{{diceColor}}" data-edit="diceColor"/>
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.outlineColor"}}</label>
            <div class="form-fields">
                <input type="text" name="outlineColor" value="{{outlineColor}}" data-dtype="String"/>
                <input type="color" name="outlineColorSelector" value="{{outlineColor}}" data-edit="outlineColor"/>
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.edgeColor"}}</label>
            <div class="form-fields">
                <input type="text" name="edgeColor" value="{{edgeColor}}" data-dtype="String"/>
                <input type="color" name="edgeColorSelector" value="{{edgeColor}}" data-edit="edgeColor"/>
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.texture"}}</label>
            <select name="texture" style="flex: 1;">
                {{#select texture}}
                {{#each textureList as |name key|}}
                <option value="{{key}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.hideAfterRoll"}}</label>
            <input type="checkbox" name="hideAfterRoll" data-dtype="Boolean" {{checked hideAfterRoll}}/>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.timeBeforeHide"}}</label>
            <input type="text" name="timeBeforeHide" value="{{timeBeforeHide}}" style="flex: 1; text-align: right;">
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.hideFX"}}</label>
            <select name="hideFX" style="flex: 1;">
                {{#select hideFX}}
                {{#each fxList as |name key|}}
                <option value="{{key}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.sounds"}}</label>
            <input type="checkbox" name="sounds" data-dtype="Boolean" {{checked sounds}}/>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.autoSize"}}</label>
            <input type="checkbox" name="autoscale" data-dtype="Boolean" {{checked autoscale}}/>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.size"}}</label>
            <div class="form-fields">
                <input type="range" name="scale" value="{{scale}}" min="20" max="100" step="1" data-dtype="Number">
                <span class="range-value">{{scale}}</span>
            </div>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.shadowQuality"}}</label>
            <select name="shadowQuality" style="flex: 1;">
                {{#select shadowQuality}}
                {{#each shadowQualityList as |name key|}}
                <option value="{{key}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.bumpMapping"}}</label>
            <input type="checkbox" name="bumpMapping" data-dtype="Boolean" {{checked bumpMapping}}/>
        </div>

        <div class="form-group">
            <label>{{localize "DICESONICE.speed"}}</label>
            <select name="speed" style="flex: 1;">
                {{#select speed}}
                {{#each speedList as |name key|}}
                <option value="{{key}}">{{name}}</option>
                {{/each}}
                {{/select}}
            </select>
        </div>

        <div class="form-group" style="margin-top: 20px;">
            <button type="button" name="reset">
                <i class="fas fa-refresh"></i> {{localize "DICESONICE.Reset"}}
            </button>
            <button type="submit" name="submit">
                <i class="fas fa-save"></i> {{localize "DICESONICE.Save"}}
            </button>
        </div>

    </form>

</div>